
CFLAGS=-Wall -fpic -g -I$(shell ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

all : libdadi_ruby.so

LDFLAGS=-g -shared  \
	-lmib

libdadi_ruby.so : libdadi_wrap.o 
	$(CC) $(LDFLAGS) $^ -o $@

SWIG_INCLUDES=	-I/usr/local/include

libdadi_wrap.c : libdadi.i
	swig -ruby  -v ${SWIG_INCLUDES} $<

clean:
	$(RM) libdadi_wrap.c *.so *.o *~
